Subject: [Teas] FW: New Version Notification for draft-chen-teas-rfc5316bis-00.txt

From: Mach Chen <[email-masked]>
Date: Mon, 26 Oct 2015 03:43:46 +0000

Hi Folks,

We submitted a bis draft for RFC5316, it defines how to use TLV141 (inter-AS reachability TLV) on a node that only supports IPv6.

TLV14 was designed to have a 4 octets router id field in its fixed TLV header, which is used indicate the source of the inter-as reachability TLV. This is fine for the nodes that have IPv4 router ID, but for the nodes that only support IPv6, there is no value that can be used to fill the router id field.  (The same issue that 4971bis is trying to address).

This bis document tries to fix this issue by introducing a new sub-TLV (IPv6 Router ID sub-TLV) to TLV 141, and updates the 3rd section of section 3.1 as follows.  

"The Router ID field of the inter-AS reachability TLV is 4 octets in
   length, which contains the IPv4 Router ID of the router who generates
   the inter-AS reachability TLV.  The Router ID SHOULD be identical to
   the value advertised in the Traffic Engineering Router ID TLV
   [RFC5305].  If no Traffic Engineering Router ID is assigned, the
   Router ID SHOULD be identical to an IP Interface Address [RFC1195]
   advertised by the originating IS.  If the originating node does not
   support IPv4, then the reserved value 0.0.0.0 MUST be used in the
   Router ID field and the IPv6 Router ID sub-TLV MUST be present in the
   inter-AS reachability TLV."

Except for the above changes and some nits fixing, this document is identical to RFC5316.

Please read the draft, any comments are welcome!

Best regards,
Mach (on behalf of the co-authors)

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Thursday, October 15, 2015 9:16 AM
To: Mach Chen; Stefano Previdi; Mach Chen; Les Ginsberg; Stefano Previdi; Les Ginsberg
Subject: New Version Notification for draft-chen-teas-rfc5316bis-00.txt

A new version of I-D, draft-chen-teas-rfc5316bis-00.txt has been successfully submitted by Mach(Guoyi) Chen and posted to the IETF repository.

Name:		draft-chen-teas-rfc5316bis
Revision:	00
Title:		ISIS Extensions in Support of Inter-Autonomous System (AS) MPLS and GMPLS Traffic Engineering
Document date:	2015-10-14
Group:		Individual Submission
Pages:		20
URL:            https://www.ietf.org/internet-drafts/draft-chen-teas-rfc5316bis-00.txt
Status:         https://datatracker.ietf.org/doc/draft-chen-teas-rfc5316bis/
Htmlized:       https://tools.ietf.org/html/draft-chen-teas-rfc5316bis-00

Abstract:
   This document describes extensions to the ISIS (ISIS) protocol to
   support Multiprotocol Label Switching (MPLS) and Generalized MPLS
   (GMPLS) Traffic Engineering (TE) for multiple Autonomous Systems
   (ASes).  It defines ISIS-TE extensions for the flooding of TE
   information about inter-AS links, which can be used to perform inter-
   AS TE path computation.

   No support for flooding information from within one AS to another AS
   is proposed or defined in this document.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat